Joomler!.net - Decided on Joomla!

Jboard is Multiple Board!

Home » Blog » September 2009
0 votes
Written by:Joomler! 12059 hits Tuesday, 29 September 2009 07:41

でるわでるわ、Notice エラーに Warning。 ログインできない。

まあ、これは、error_reportingが “E_ALL | E_STRICT”になっているので現在のJoomla!1.5ではPHP4をサポートしているので仕方がない。error_reporting を “E_ALL”にして正常動作。但し、Joomla!1.5.15の差分を適用したものでのみです。(まだエラーがあるかもしれないが・・・)

さらに、問題が発生。これは、予想していなかったというか忘れていた。AjaXplorerが動かない。

こりゃ困った。

開発環境を先行していくのは良いが、一般的には、PHP5.3以下でPHP4の方もいるだろう。とりあえず、Ubuntuでの開発環境は、PHP5.3にしたが、Windowsローカルはそのままにしているので確認しようと思えばできなくはない。さらに、切替もできるので大丈夫と思っている。(切替たくは無いが・・・) だが、動かしているのは、Joomla!だけではない、Joomla!1.0もあれば、phpBB、WordPress・・・・いろいろある。まだ、Joomla!1.5しか見ていないがおそらく同様の問題が起こると思う。

 
0 votes
Written by:Joomler! 7480 hits Monday, 28 September 2009 08:49

Joomla!1.5.15でPHP 5.3への対応がされそうなので、うちのエクステンションもPHP 5.3を前提にしようと思っています。と言ってもPHP5.3をサポートすると言う意味でJContentPlusのようにPHP5のみと書いている物以外はPHP4でも使えるわけですが。

開発用のプロジェクトのInterpreterをPHP5.3に切替中です。

テストバージョンの1.5.15をダウンロードして比較してみるとたいした差はなく、一様にeregi関数の置き換えばかりが目につくだけで他はバグ修正がほとんどのようでした。さほど大変そうではない。

 
0 votes
Written by:Joomler! 7059 hits Friday, 25 September 2009 07:35

Firefoxの各種メニューを自在にカスタマイズできる「Menu Editor」拡張 こちらが、目にとまったので不具合がつづくFirefoxにはもうアドオンは、追加しないと決めていた私ですが、思わずインストールしました。

after_setting_menu_editor日頃たくさんのコンテキストメニューに辟易していたのですが、これで解消できそうです。

ほら、早速設定してみると左の画像のように僅かしかメニューが表示されません。これで、すぐに目的のメニューをクリックできそうです。ひとつしか試していませんが、サブメニューのものをフラットに並べようとしましたが、それはできませんでした。

中には、非表示にしてそれから、いろいろ場所を変えてとやっているうちに表示にしてもリセットしても表示されないことが、ありましたがその該当アドオンを設定し直す事で直りました。

まだ、とりあえず一通りオフにした感じですが、様子を見て調整していけば良いのでかなり便利だと思います。おすすめ!

Firefoxのアドオンページはこちらです。

 
0 votes
Written by:Joomler! 6473 hits Thursday, 24 September 2009 07:28

jboard_logo_base 五日間更新しないのは、はじめてではないだろうか。(たぶん)

五日間すべて動いていなかったわけではないが、最初に放置する事に決めてそのままにしていました。おかげで少しは自分のやりたい事を進めることができました。

昨日は、夕方からうちのJboardを更新しました。見た目は全く変わっていませんが、中身は少し変わっています。更新後SQLエラーでしばらく投稿を表示できませんでしたが、サーバーの設定が原因だとわかったのでJboard側で対応するコードを追加しクリアできました。こんなところで問題が発生するなんて・・・。

 
0 votes
Written by:Joomler! 26788 hits Saturday, 19 September 2009 07:35

SyntaxHighlighter 2.0.0 for Joomla!1.5 Released

This is a plugin for syntaxhighlighting your code by using SyntaxHighlighter 2.0 Javascript Library.

*** Version 2.0.1 Released ***

About SyntaxHighligher 2.0 Javascript Library

Home : http://alexgorbatchev.com/wiki/SyntaxHighlighter

Project Home : http://code.google.com/p/syntaxhighlighter/

License : LGPL 3

How to use

  • If your code is legacy(1.x), please set Legacy Mode to enabled.
  • If you use Windows Live Writer, please see a following link.
    • SyntaxHighlighter Plugin http://wlwsyntaxhighlighter.codeplex.com/
      However this plugin is for SyntaxHighlighter version 1.x. If you use this live writer plugin, please set Legacy Mode to enabled in the parameters of SyntaxHighlighter Plugin of Joomla.
  • Please select a theme.
  • Example
    • <pre class="brush: php; first-line: true; ruler: true;">your source code</pre>
    • More Info
protected function _getVersion()
{
$version = '';
$this->getData();
if($this->_data->type > 0){
$version = trim( JRequest::getVar('v', '', '', 'cmd') );
if(!empty($version)){
$version = '_'. $version;
}
}

return $version;
}
 
<<<1234>>>
1 / 4

JContentPlus for Joomla!1.5 powered by Joomler!.net

joomler.net is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla!(R) name is used under a limited license from Open Source Matters in the United States and other countries.
joomler.net is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.